> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Balance

> Obtain the balance for a single specified account



## OpenAPI

````yaml /openapi/cdr.yml get /v1/banking/customer/{customerId}/accounts/{accountId}/balance
openapi: 3.0.3
info:
  description: Fiskil Data Holder as a Service (DHaaS) endpoints for the Energy sector
  title: Fiskil Data APIs
  version: 1.5.0
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /v1/banking/customer/{customerId}/accounts/{accountId}/balance:
    get:
      tags:
        - Banking
        - Accounts
      summary: Get Account Balance
      description: Obtain the balance for a single specified account
      operationId: getBalance
      parameters:
        - $ref: '#/components/parameters/customerId'
        - $ref: '#/components/parameters/accountId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBankingAccountsBalanceById'
          description: Success
        '404':
          $ref: '#/components/responses/responseErrorCustomerIdNotFound'
components:
  parameters:
    customerId:
      description: >-
        Unique ID of a customer. This ID must not change for the lifecycle of
        the customer
      explode: false
      in: path
      name: customerId
      required: true
      schema:
        type: string
      style: simple
    accountId:
      description: ID of a specific account to obtain data for.
      explode: false
      in: path
      name: accountId
      required: true
      schema:
        type: string
      style: simple
  schemas:
    ResponseBankingAccountsBalanceById:
      example:
        data:
          accountId: b5489027-adf1-40a8-be40-6509d24375a1
          currentBalance: '1000.00'
          availableBalance: '900.00'
      properties:
        data:
          $ref: '#/components/schemas/BankingBalance'
      required:
        - data
      type: object
    BankingBalance:
      properties:
        accountId:
          description: >-
            A unique ID of the account adhering to the standards for ID
            permanence
          type: string
          x-cds-type: ASCIIString
        currentBalance:
          description: >-
            The balance of the account at this time. Should align to the balance
            available via other channels such as Internet Banking. Assumed to be
            negative if the customer has money owing
          type: string
          x-cds-type: AmountString
        availableBalance:
          description: >-
            Balance representing the amount of funds available for transfer.
            Assumed to be zero or positive
          type: string
          x-cds-type: AmountString
        creditLimit:
          description: >-
            Object representing the maximum amount of credit that is available
            for this account. Assumed to be zero if absent
          type: string
          x-cds-type: AmountString
        amortisedLimit:
          description: >-
            Object representing the available limit amortised according to
            payment schedule. Assumed to be zero if absent
          type: string
          x-cds-type: AmountString
        currency:
          description: The currency for the balance amounts. If absent assumed to be AUD
          type: string
          x-cds-type: CurrencyString
        purses:
          description: >-
            Optional array of balances for the account in other currencies.
            Included to support accounts that support multi-currency purses such
            as Travel Cards
          items:
            $ref: '#/components/schemas/BankingBalancePurse'
          type: array
      required:
        - accountId
        - availableBalance
        - currentBalance
      type: object
    GenericError:
      example:
        error: An error message
      type: object
      properties:
        error:
          type: string
          description: A message describing what caused the error
      required:
        - error
    BankingBalancePurse:
      properties:
        amount:
          description: The balance available for this additional currency purse
          type: string
          x-cds-type: AmountString
        currency:
          description: The currency for the purse
          type: string
          x-cds-type: CurrencyString
      required:
        - amount
      type: object
  responses:
    responseErrorCustomerIdNotFound:
      description: The customer ID in the URL path is invalid or not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GenericError'
            example:
              error: Customer not found
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/docs/get-started/authentication) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````